Subject: using call

From: "H. Chad Lane" <[email-masked]>
Date: Thu, 10 Jun 1999 13:51:27 -0400

I am trying to use call with a conjuctive goal, and am running into
problems.  If this is not an SWI specific question, I apologize, but
most sources I've found mention that the treatment of call is often
implementation dependent.

For example, given the facts:

  father(jim,greg).
  father(greg,al).

this query works as expected:

  ?- father(jim,X), father(X,al).

  X = greg 

However, when call is used it gets confused with call/2:

  ?- call(father(jim,X), father(X,al)).
  [WARNING: Undefined procedure: father/3
      However, there are definitions for:
          father/2]
     Exception: (  7) father(jim, _G298, father(_G298, al)) ?

Any suggestions would be appreciated.  Thank you!

-- 
H. Chad Lane [[email-masked]]
Department of Computer Science, University of Pittsburgh
Pittsburgh, PA  15260
http://www.cs.pitt.edu/~hcl

808 LRDC  |  (412)624-7494